Bug 1601602 - [RFE] Use chronyd instead of ntp in provisioning templates on RHEL systems
Summary: [RFE] Use chronyd instead of ntp in provisioning templates on RHEL systems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.6.0
Assignee: Stephen Benjamin
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 20:15 UTC by Perry Gagne
Modified: 2019-10-22 12:46 UTC (History)
3 users (show)

Fixed In Version: foreman-1.22.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24290 None None None 2018-07-18 15:28:27 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:46:56 UTC

Description Perry Gagne 2018-07-16 20:15:24 UTC
Description of problem: In the current default provisioning templates there is a step to do an initial time sync using ntpdate:

```
#update local time
echo "updating system time"
/usr/sbin/ntpdate -sub <%= host_param('ntp-server') || '0.fedora.pool.ntp.org' %>
/usr/sbin/hwclock --systohc
```


In order for this to work the ntp package is also installed in the %packages system since is not install in rhel by default. 

From my understanding this line is just to do a quick initial sync. chronyd has an option to do this [1]. 

Most of our docs are (or are being updated to) prefer chrony [2]. 

So rather then install the ntp package to just use ntpdate once, we should probably consider using the 'chronyd -q' option. 

[1] https://chrony.tuxfamily.org/faq.html#_does_code_chronyd_code_have_an_ntpdate_mode
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1589712

Comment 1 Daniel Lobato Garcia 2018-07-18 15:27:42 UTC
Generally agree best to run the ntp update through a package provided by default rather than installing ntp.

Comment 2 Daniel Lobato Garcia 2018-07-18 15:28:26 UTC
Created redmine issue https://projects.theforeman.org/issues/24290 from this bug

Comment 4 pm-sat@redhat.com 2018-11-01 12:05:38 UTC
Upstream bug assigned to stbenjam@redhat.com

Comment 5 pm-sat@redhat.com 2018-11-01 12:05:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24290 has been resolved.

Comment 7 Perry Gagne 2019-07-17 20:25:36 UTC
Verified fix in sat 6.6 snap 11

Provisioned a RHEL 8 box and it used chronyd to do an initial timesync.

Comment 9 errata-xmlrpc 2019-10-22 12:46:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.